from django.urls import path
from . import views

urlpatterns = [
    path('user/', views.home, name='home'),
    path('create_user/', views.create_user, name='create_user'),  # URL for creating user
    path('user_login/', views.user_login, name='user_login'),  # URL for login

    path('user/dashboard/<str:user_id>/', views.dashboard, name='dashboard'),
    path('new_job_postings/', views.new_job_posting, name='new_job_postings'),
    path('logout/', views.logout_view, name='logout'),
    path('save-job-posting/', views.save_job_posting, name='save_job_posting'),
    path('add_recruiter/', views.add_recruiter, name='add_recruiter'),
    path('create_recruiter/', views.create_recruiter, name='create_recruiter'),
    # path('send/<int:recipient_id>/', views.send_message, name='send_message'),
    # path('read/<int:message_id>/', views.mark_as_read, name='mark_as_read'),
    path('get_locations/', views.get_locations, name='get_locations'),
    path('get_client_details/', views.get_client_details, name='get_client_details'),
    path('new_job_posting/', views.new_job_posting, name='New_job_posting'),
    path('get_contacts/', views.get_contacts, name='get_contacts'),
    path('validate_field/', views.validate_field, name='validate_field'),
    path('all_job_postings/', views.all_job_postings, name='All_job_postings'),
    path('get_jobPosting/', views.get_jobPosting, name='get_jobPosting'),
    # path('messages/', views.message_list, name='message_list'),
    # path('messages/<int:message_id>/', views.message_detail, name='message_detail'),
    # path('messages/new/', views.new_message, name='new_message'),

    path('messages/', views.messages, name='messages'),
]
